Subject: bug#27427: 26.0.50; Native line numbers lead to display error in company-mode popup

From: martin rudalics <[email-masked]>
Date: Sat, 01 Jul 2017 12:31:49 +0200

> My idea was that these windows would be "special", in that they could
 > only display some special buffer or maybe only a string.

Then we are back at my earlier ‘tty-popup-frames’ proposal with
"windows" substituting "frames".  Please lets call these objects
"popups" for now.

 > About the
 > only function we'd need is to set the coordinates where such a window
 > will be displayed.  Everything else, including the dimensions, will be
 > determined by the text to be displayed there.

We'd have to decide when to call the function that sets the coordinates.
For that purpose each popup would probably have to store the window it
originated from to handle scrolling of that window and any changes to
its buffer.

martin